/*
  MSSelectImageSheet.h
  DrawIt
  
  Created by Pieter Omvlee on 7-9-07.
  Copyright 2007 GetDrawIt. All rights reserved.
*/

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>
#import <Chocolat/Chocolat.h>

enum {
  MSImageText = 1,
  MSPatternText = 2
} MSImageSelectType;

@interface MSSelectImageSheet : CHSheetController
{
  int patternSource;
  
  NSString *imageKey;
  
  IBOutlet NSButton *chooseExternalImage;
  IBOutlet id importedPath;
  
  NSImage *importedImage;
  
  IBOutlet IKImageBrowserView *imageBrowser;
}
+ (id)runForWindow:(NSWindow *)document withObject:(id)obj imageKey:(NSString *)key;
- (IBAction)importImage:(id)sender;
- (void)setImageKey:(NSString *)key;
- (IBAction) zoomSliderDidChange:(id)sender;
- (void)setPatternSource:(int)i;
@end